"use strict";
// Copyright 2018-2023 the Deno authors. All rights reserved. MIT license.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Utilities for working with Deno's readers, writers, and web streams.
 *
 * `Reader` and `Writer` interfaces are deprecated in Deno, and so many of these
 * utilities are also deprecated. Consider using web streams instead.
 *
 * @module
 * @deprecated (will be removed after 1.0.0) Use the [Web Streams API]{@link https://developer.mozilla.org/en-US/docs/Web/API/Streams_API} instead.
 */
__exportStar(require("./buf_reader.js"), exports);
__exportStar(require("./buf_writer.js"), exports);
__exportStar(require("./buffer.js"), exports);
__exportStar(require("./copy_n.js"), exports);
__exportStar(require("./limited_reader.js"), exports);
__exportStar(require("./multi_reader.js"), exports);
__exportStar(require("./read_delim.js"), exports);
__exportStar(require("./read_int.js"), exports);
__exportStar(require("./read_lines.js"), exports);
__exportStar(require("./read_long.js"), exports);
__exportStar(require("./read_range.js"), exports);
__exportStar(require("./read_short.js"), exports);
__exportStar(require("./read_string_delim.js"), exports);
__exportStar(require("./slice_long_to_bytes.js"), exports);
__exportStar(require("./string_reader.js"), exports);
__exportStar(require("./string_writer.js"), exports);
