import type { Reader } from "../types";
/**
 * Reader utility for combining multiple readers
 *
 * @deprecated (will be removed after 1.0.0) Use the [Web Streams API]{@link https://developer.mozilla.org/en-US/docs/Web/API/Streams_API} instead.
 */
export declare class MultiReader implements Reader {
    #private;
    constructor(readers: Reader[]);
    read(p: Uint8Array): Promise<number | null>;
}
